name: Simple Kubernetes Pod and Service
services:
  pod:
    name: pod
    type: Pod
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    settings:
      spec:
        containers:
        - image: nginx
          image Pull Policy: Always
          name: ""
    traits:
      meshmap:
        edges:
        - data:
            id: 0de93a9b-8c55-434d-8f84-f9db15d49fb5
            metadata:
              port: 80
              protocol: TCP
            source: c6d9a587-e10d-4645-adf1-ee367f8f151e
            subType: Network
            target: 7f7dae0d-f3a9-4f41-95d5-e6031a3cb263
          style:
            curve-style:
              name: curve-style
              strValue: bezier
              value: bezier
            font-family:
              name: font-family
              strValue: Qanelas Soft, sans-serif
              value:
              - Qanelas Soft, sans-serif
              - Qanelas Soft, sans-serif
            font-size:
              name: font-size
              pfValue: 6
              strValue: 6px
              units: px
              value: 6
            line-color:
              mapping:
                mapped:
                  fn: true
                  mapping: true
                name: line-color
                prevFnValue: '#7aa1f0'
                strValue: fn
              name: line-color
              pfValue:
              - 122
              - 161
              - 240
              strValue: rgb(122,161,240)
              value:
              - 122
              - 161
              - 240
            line-style:
              name: line-style
              strValue: dotted
              value: dotted
            target-arrow-shape:
              name: target-arrow-shape
              strValue: vee
              value: vee
            text-events:
              name: text-events
              strValue: "yes"
              value: "yes"
            text-outline-color:
              name: text-outline-color
              pfValue:
              - 255
              - 255
              - 255
              strValue: rgb(255,255,255)
              value:
              - 255
              - 255
              - 255
            text-outline-width:
              name: text-outline-width
              pfValue: 1
              strValue: 1px
              units: px
              value: 1
            text-wrap:
              name: text-wrap
              strValue: wrap
              value: wrap
            width:
              name: width
              pfValue: 1.5
              strValue: 1.5px
              units: px
              value: 1.5
            z-index:
              name: z-index
              pfValue: 999
              strValue: "999"
              value: 999
            z-index-compare:
              name: z-index-compare
              strValue: manual
              value: manual
        id: 7f7dae0d-f3a9-4f41-95d5-e6031a3cb263
        label: pod
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          styleOverrides: ""
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        position:
          posX: 528.5426330566406
          posY: 113.82954406738281
        whiteboardData:
          style: {}
  service:
    name: service
    type: Service
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    settings:
      spec:
        ports:
        - name: target-port
          port: 80
          protocol: TCP
          target Port: 8080
        - port: 80
          protocol: TCP
    traits:
      meshmap:
        edges:
        - data:
            id: 0de93a9b-8c55-434d-8f84-f9db15d49fb5
            metadata:
              port: 80
              protocol: TCP
            source: c6d9a587-e10d-4645-adf1-ee367f8f151e
            subType: Network
            target: 7f7dae0d-f3a9-4f41-95d5-e6031a3cb263
          style:
            curve-style:
              name: curve-style
              strValue: bezier
              value: bezier
            font-family:
              name: font-family
              strValue: Qanelas Soft, sans-serif
              value:
              - Qanelas Soft, sans-serif
              - Qanelas Soft, sans-serif
            font-size:
              name: font-size
              pfValue: 6
              strValue: 6px
              units: px
              value: 6
            line-color:
              mapping:
                mapped:
                  fn: true
                  mapping: true
                name: line-color
                prevFnValue: '#7aa1f0'
                strValue: fn
              name: line-color
              pfValue:
              - 122
              - 161
              - 240
              strValue: rgb(122,161,240)
              value:
              - 122
              - 161
              - 240
            line-style:
              name: line-style
              strValue: dotted
              value: dotted
            target-arrow-shape:
              name: target-arrow-shape
              strValue: vee
              value: vee
            text-events:
              name: text-events
              strValue: "yes"
              value: "yes"
            text-outline-color:
              name: text-outline-color
              pfValue:
              - 255
              - 255
              - 255
              strValue: rgb(255,255,255)
              value:
              - 255
              - 255
              - 255
            text-outline-width:
              name: text-outline-width
              pfValue: 1
              strValue: 1px
              units: px
              value: 1
            text-wrap:
              name: text-wrap
              strValue: wrap
              value: wrap
            width:
              name: width
              pfValue: 1.5
              strValue: 1.5px
              units: px
              value: 1.5
            z-index:
              name: z-index
              pfValue: 999
              strValue: "999"
              value: 999
            z-index-compare:
              name: z-index-compare
              strValue: manual
              value: manual
        id: c6d9a587-e10d-4645-adf1-ee367f8f151e
        label: service
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          styleOverrides: '{"height":16,"width":17,"padding":12,"background-fit":"none","background-position-y":4.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        position:
          posX: 403.4258057556284
          posY: 121.62987397542253
        whiteboardData:
          style: {}
